package gov.va.med.esr.mvc.model;

import java.io.Serializable;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;


@XmlRootElement(namespace = "http://jaxws.webservices.esr.med.DNS   /schemas")
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "getEESummaryRequest")
public class GetEESummaryRequest implements Serializable{
	

	private static final long serialVersionUID = 3475489858807785378L;


	//@XmlAttribute(namespace = "http://jaxws.webservices.esr.med.DNS   /schemas")
	private String key;
	
	//@XmlAttribute(namespace = "http://jaxws.webservices.esr.med.DNS   /schemas")
	private String keyType;
	
	//@XmlAttribute(namespace = "http://jaxws.webservices.esr.med.DNS   /schemas")
	private String requestName;
	
	private Integer incomeYear;
	
	public String getKey() {
		return key;
	}
	
	public void setKey(String key) {
		this.key = key;
	}
	public String getKeyType() {
		return keyType;
	}
	public void setKeyType(String keyType) {
		this.keyType = keyType;
	}

	public String getRequestName() {
		return requestName;
	}

	public void setRequestName(String requestName) {
		this.requestName = requestName;
	}

	public Integer getIncomeYear() {
		return incomeYear;
	}

	public void setIncomeYear(Integer incomeYear) {
		this.incomeYear = incomeYear;
	}
}
